Package wx :: Package lib :: Package agw :: Module hypertreelist :: Class TreeListHeaderWindow

[frames | no frames]

## Type TreeListHeaderWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        TreeListHeaderWindow

Method Summary
| `__init__(self, parent, id, owner, pos, size, style, name)`
| `AddColumn(self, text, width, flag, image, shown, colour, edit)`
| `AddColumnInfo(self, colInfo)`
| `AdjustDC(self, dc)`
| `DrawCurrent(self)`
| `GetColumn(self, column)`
| `GetColumnAlignment(self, column)`
| `GetColumnColour(self, column)`
| `GetColumnCount(self)`
| `GetColumnText(self, column)`
| `GetColumnWidth(self, column)`
| `GetWidth(self)`
| `InsertColumn(self, before, colInfo)`
| `IsColumnEditable(self, column)`
| `IsColumnShown(self, column)`
| `OnMouse(self, event)`
| `OnPaint(self, event)`
| `OnSetFocus(self, event)`
| `RefreshColLabel(self, col)`
| `RemoveColumn(self, column)`
| `SendListEvent(self, evtType, pos)`
| `SetColumn(self, column, info)`
| `SetColumnAlignment(self, column, flag)`
| `SetColumnColour(self, column, colour)`
| `SetColumnText(self, column, text)`
| `SetColumnWidth(self, column, width)`
| `XToCol(self, x)`

Property Summary

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:27 2009 | http://epydoc.sf.net